# -*- coding: utf_8 -*-
import random
from pygame import *	# Подключаем функциональность PyGame!

count = 0		# Переменные для цикла и посдчета очков
score = 0

file1 = open('words.txt', 'r')		# Открываем наши текстовые файлы
file2 = open('images.txt', 'r')

f1content = file1.readlines()		# и добавляем содержимое
f2content = file2.readlines()

init()					# Запускаем PyGame
screen = display.set_mode((640, 480))	# создаем прекрасное окошко
display.set_caption('Flashcard')	# И задаем ему заголовок


# Здесь создается новый объект Шрифт (Font). 'None' означает: не выбирать  
# специальный шрифт -- просто использовать системный по умолчанию, размера 48

# Только обязательно установите исправленную версию pygame с нашего диска
# В противном случае у вас будут проблемы с кодировкой.

font = font.Font(None, 48)


# Далее основный цикл -- весь код с отступом отсюда и ниже
# будет выполнен 10 раз

while count < 10:
	screen.fill(0)	# Закрашиываем экран черным (цвет 0)

	# Выбираем случайное число для картинки, которую мы собираемся 
	# отобразить, ограничиваясь числом записей в файле images.txt
	wordnum = random.randint(0, len(f2content)-1)

	# Это случайное число показывает строку в images.txt
	# при помощи которой нам следует загружать файл изображения. Поэтому, если строка
	# 7 это 'russia.png', то мы загружаем его! Кроме того, мы отсекаем символ
	# новой строки из текстового файла -- it breaks things.
	mainpic = image.load(f2content[wordnum].rstrip('\n'))

	# Отображаем нашу картинку посередине в центре экрана
	screen.blit(mainpic, (255, 50))

	# Предоставляем на выбор три возможных ответа, а-ля текстовая версия
	options = [random.randint(0, len(f1content)-1),
		random.randint(0, len(f1content)-1),
		random.randint(0, len(f1content)-1)]

	# и делаем один из них верным
	options[random.randint(0, 2)] = wordnum

	# Теперь мы отрисовываем три возможных слова-ответа. Мы 
	# берем слово из нашего массива f1content[], а в качестве второй
	# опции указываем 'True' -- Это означает 'сделайте мне антиалайсинг!'.
	# Последние три члена это цвета (красный, зеленый, синий),
	# так что в данном случае получаем белый.
	text1 = font.render('1 - ' + f1content[options[0]].rstrip('\n'),
		True, (255, 255, 255))
	text2 = font.render('2 - ' + f1content[options[1]].rstrip('\n'),
		True, (255, 255, 255))
	text3 = font.render('3 - ' + f1content[options[2]].rstrip('\n'),
		True, (255, 255, 255))

	# Отрисовываем эти слова на экране (горизонталь, вертикаль)
	screen.blit(text1, (30, 300))
	screen.blit(text2, (30, 350))
	screen.blit(text3, (30, 400))

	# И обновляем все!
	display.update()

	done = False	# это для нижеследующего цикла...

	# Далее мы ждем 'событие' клавиатуры -- то есть, что-то должно
	# произойти с клавиатурой. Если будет нажата клавиша и реализуется 
	# (KEYUP), то мы проверяем является ли это клавишей '1' (K_1),
	# или 2 и так далее. При нажатии клавиши ответа, мы изменяем занчение 
	# 'done' на True и выходим из цикла.
	while not done:
		for e in event.get():
			if e.type == KEYUP:
				if e.key == K_1:
					answer = 1
					done = True
				if e.key == K_2:
					answer = 2
					done = True
				if e.key == K_3:
					answer = 3
					done = True

	# Ответ верный? Если да, то выводим радостыно-зеленый текст
	# и увеличиваем число очков!
	if options[answer-1] == wordnum:
		resulttext = font.render('Верно!', True, (50, 255, 50))
		score = score + 1
	# Но если нет... Уф, то вот вам красный текст
	else:
		resulttext = font.render('Ошибка!', True, (255, 50, 50))

	# Показываем текст
	screen.blit(resulttext, (450, 350))
	display.update()

	# и ждем нажатия клавиши перед тем, как вывести следующий вопрос
	while event.wait().type != KEYDOWN: pass

	count = count + 1

# Когда цикл завершается, мы печатаем число очков. Вот и все!
print '\nНабрано очков:', score

